<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rootView"
    android:layout_width="76dp"
    android:layout_height="wrap_content">

    <ImageView
        android:id="@+id/ivGift"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="48dp"
        android:layout_height="48dp"/>

    <TextView
        android:id="@+id/tvName"
        android:maxWidth="76dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:textSize="10dp"
        android:textColor="#fff"
        android:layout_marginTop="2dp"
        app:layout_constraintTop_toBottomOf="@+id/ivGift"
        android:ellipsize="marquee"
        android:marqueeRepeatLimit="marquee_forever"
        android:scrollHorizontally="true"
        android:singleLine="true"
        android:gravity="center"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvCoin"
        android:drawableStart="@mipmap/icon_room_coin"
        android:textSize="10dp"
        android:textColor="#FFE398"
        app:layout_constraintTop_toBottomOf="@+id/tvName"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        tools:text = "1000"
        android:ellipsize="marquee"
        android:marqueeRepeatLimit="marquee_forever"
        android:scrollHorizontally="true"
        android:singleLine="true"
        android:gravity="center"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <TextView
        android:id="@+id/tvNum"
        android:layout_width="34dp"
        android:layout_height="13dp"
        android:background="@drawable/shape_ff56b7_12"
        android:gravity="center"
        android:text="x1"
        android:textColor="#000"
        android:textSize="9dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>